const api = {
  /**
   * 获取个人分享记录详情
   */
	getShareInfo: {
		url: '/fen/getShareInfo',
		method: 'GET',
		debounce: 500,
	},
	/**
	 * 点击增肌个人分享记录
	 */
	addLogShareInfo: {
		url: '/fen/addLog',
		method: 'POST',
		limit : 500,
		showLoading : true,
	},
  /**
   * 删除分享记录
   */
	deleteLog: {
		url: '/fen/deleteLog',
		method: 'POST',
		auth: true, 
		limit : 500,
		showLoading : true,
	},
  /**
   * 增加或者修改个人分享
   */
	saveOrUpdateShare: {
		url: '/fen/saveOrUpdateShare',
		method: 'POST',
		auth: true, 
		limit : 500,
		showLoading : true,
	},
  /**
   * 获取视频分享记录详情
   */
	getVideoShareInfo: {
		url: '/fen/getVideoShareInfo',
		method: 'GET',
		debounce: 500,
	},
  /**
   * 增加或者修改视频分享
   */
	saveOrUpdateVideoShare: {
		url: '/fen/saveOrUpdateVideoShare',
		method: 'POST',
		auth: true, 
		limit : 500,
		showLoading : true,
	},
  /**
   * 获取群分享记录详情
   */
	getGroupShareInfo: {
		url: '/fen/getGroupShareInfo',
		method: 'GET',
		debounce: 500,
	},
  /**
   * 增加或者修改群分享
   */
	saveOrUpdateGroupShare: {
		url: '/fen/saveOrUpdateGroupShare',
		method: 'POST',
		auth: true, 
		limit : 500,
		showLoading : true,
	},
  /**
   * 获取文章分享记录详情
   */
	getArticleShareInfo: {
		url: '/fen/getArticleShareInfo',
		method: 'GET',
		debounce: 500,
	},
  /**
   * 增加或者修改文章分享
   */
	saveOrUpdateArticleShare: {
		url: '/fen/saveOrUpdateArticleShare',
		method: 'POST',
		auth: true, 
		limit : 500,
		showLoading : true,
	},
  /**
   * 获取分享记录列表带分页
   */
	getSharePage: {
		url: '/fen/getSharePage',
		method: 'GET',
		auth: true,
	},
  /**
   * 校验个人转发是否达标
   */
	checkShare: {
		url: '/fen/checkShare',
		method: 'POST',
		showLoading : true,
	},
  /**
   * 校验视频转发是否达标
   */
	checkVideoShare: {
		url: '/fen/checkVideoShare',
		method: 'POST',
		showLoading : true,
	},
  /**
   * 校验群转发是否达标
   */
	checkGroupShare: {
		url: '/fen/checkGroupShare',
		method: 'POST',
		showLoading : true,
	},
  /**
   * 校验文章转发是否达标
   */
	checkArticleShare: {
		url: '/fen/checkArticleShare',
		method: 'POST',
		showLoading : true,
	},
}

export default api